cancel
Showing results for 
Search instead for 
Did you mean: 

display drivers

SOLVED
Go to solution
Chakravarthi
Trusted Contributor

display drivers

Hi all,

i have installed 2.2.24 kernel on p4 machine, i couldnt bring up network but the display is not coming up, Display card is Intel(R) 82865G graphics Controller. I tried download and install drivers from intel site. but they are for 2.4 and higher kernerls.

can some one point me to display drivers for 865 chipset for 2.2 kernels.

thanks
chakri
5 REPLIES
Steven E. Protter
Exalted Contributor

Re: display drivers

That Intel video chipset should be auto detetcted by the 2.2.x kernel. Does the video work at all?

http://www.driverzone.com

You may want to go to http://www.intel.com and communicate this need to them, they probably have archive copies of the drivers.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Johannes Krackowizer_1
Valued Contributor

Re: display drivers

hi,

could you update to 2.4 or 2.6 kernel? if there is no problem upgrade to newer kernels.

best regards,

johannes
"First off, I'd suggest printing out a copy of the GNU coding standards, and NOT read it. Burn them, it's a great symbolic gesture." (Linus Torvalds)
Chakravarthi
Trusted Contributor

Re: display drivers

No, i have to work on 2.2 kernel only
Johannes Krackowizer_1
Valued Contributor

Re: display drivers

hi,

does the display come up in textmode or does textmode also not work?
"First off, I'd suggest printing out a copy of the GNU coding standards, and NOT read it. Burn them, it's a great symbolic gesture." (Linus Torvalds)
Stuart Browne
Honored Contributor
Solution

Re: display drivers

If you are going to be forced to use a 2.2 series kernel, then expect issues like this when using newer hardware.

Simply put, it's *TOO OLD*. The newer graphics hardware which uses kernel-level drivers just don't work with older kernels. The effort required to back-port the changes isn't worth it given that 2.2 series is 2 whole release series behind the 8-ball (2.4, and now the 2.6 series).

Put bluntly: You will not get this video card to work well in a GUI environment with a 2.2 series kernel. Either find an old PCI card that will work, or live without a GUI on this machine.
One long-haired git at your service...